<?php
include "scrinit.php";
include $menu;
require "dbconnect.php";
$dt=$_SESSION['dt'];
?>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Untitled Document</title>
</head>

<body>

<h1>Εισαγωγή Απουσιών Αβακίου</h1>
<form method="post" enctype="multipart/form-data">
    Επιλέξτε το αρχείο CSV με τις απουσίες:
    <input type="file" name="fileToUpload" id="fileToUpload">
	<br>
	<p> Οι στήλες στο αρχείο να έχουν την σειρά: </p>
	<p><b>Μητρώο,Σύνολο απουσιών,Σύνολο Α΄ τετρ,Σύνολο Β τετρ,Απουσίες  Αποβολών</b></p>
    <br>
	<p>Κωδικοποίηση χαρακτήρων αρχείου (character encoding): <select name="charset">
       <option value="Windows-1253" selected>Windows-1253</option>
       <option value="ISO-8859-7">ISO-8859-7</option>
    </select>
	<br>
    <p>Χαρακτήρας οριοθέτησης πεδίων (Delimiter): <select name="delim">
       <option value=";" selected><b>;</b></option>
       <option value=","><b>,</b></option>
    </select>
	<br>
	<p>Απουσίες χαρακτηρισμένες μέχρι την Ημερομηνία:<input type="date"  name="datexar" value=<?php echo $dt; ?>>
    <br>
	<p><input type="submit" value="ΑΝΕΒΑΣΜΑ ΑΡΧΕΙΟΥ" name="submit">
</form>
<?php
if (isset($_POST['submit'])) {
    if (is_uploaded_file($_FILES['fileToUpload']['tmp_name'])) {
        echo "<h1>" . "File ". $_FILES['fileToUpload']['name'] ." uploaded successfully." . "</h1>";

	$fd=fopen($_FILES['fileToUpload']['tmp_name'],'r');
	$charset = $_POST['charset'];
	$datexar=$_POST['datexar'];
	$file=$_FILES['fileToUpload'];
	$delim = $_POST['delim'];
        echo "<h2>Charset:" . $charset . "</h2>";
        echo "<h2>Delimiter:" . $delim . "</h2>";
        echo "<h2>Displaying contents:</h2>";


        echo "<table>\n";
		mysqli_query($con,'TRUNCATE TABLE apousiesabakio;');
$i=0;
while(! feof($fd))
  {
	$list=fgetcsv($fd,0,$delim);
	for ($j=0;$j<count($list);$j++) {
		$list[$j] = $list[$j] == "" ? 'NULL' : iconv($charset,'UTF-8', $list[$j]);
	}
	$row=join('</td><td>',$list);
	$mitroo = $list[0]; 
	$aptotal= $list[1];
	$aptotala = $list[2];
	$aptotalb = $list[3];
	$apovoles = $list[4];
	$x=$list[5];
		
	if($mitroo==0) break;
	$sql="INSERT INTO apousiesabakio (mitroo,apousiestotal,apousiesatotal,apousiesbtotal,apouapovoles,datexar)
	VALUES ('$mitroo','$aptotal','$aptotala','$aptotalb','$apovoles','$datexar')" ;
	$sql   = str_replace("'NULL'", 'NULL', $sql);
	echo "<tr><td>" . $row . "</td>";
	if($i>=0) {
		echo "<td>" . $sql . "</td>";
		if(mysqli_query($con,$sql)===TRUE) {
			echo "<td>OK</td>";
		} else {
			echo "<td>" . mysqli_error($con) . "</td>";
		}
	}
	echo "</tr>\n";
	$i++;
	
  }
        echo "</table>\n";

fclose($file);

    } else {
        echo "ΔΕΝ ΕΓΙΝΕ ΕΙΣΑΓΩΓΗ ΤΟΥ ΑΡΧΕΙΟΥ.";
    }
}
?>
<br /><br />

<a  href=<?php echo $menu; ?>  style="color:blue "  > <button>  Επιστροφή στο Μενού  </a>
</body>
</html>
